<script setup lang="ts">
import { useJoueurStore } from '@/stores/joueur';
import { usePartieStore } from '@/stores/partie';
import { FaceFrownIcon } from '@heroicons/vue/24/outline';
import { FaceSmileIcon } from '@heroicons/vue/24/solid';

const joueurStore = useJoueurStore()
const partieStore = usePartieStore()

const getJoueurById = (id: number) => joueurStore.joueurs.find((j) => j.id === id)
const getScoreById = (id: number) => partieStore.resultatManches.filter(r => r.refJoueur === id).map(r => r.score).reduce((a, b) => a + b, 0)
</script>

<template>
    <div v-if="partieStore.partie" class="card w-64 bg-base-100 shadow-xl">
        <div class="card-body">
            <h3 class="card-title">Joueurs</h3>
            <ul v-for="p in partieStore.partie.participants" :key="p.refJoueur">
                <li class="flex items-center">
                    <span v-if="p.connected">
                        <FaceSmileIcon class="fill-green-500 w-5" />
                    </span>
                    <span v-if="!p.connected">
                        <FaceFrownIcon class="fill-gray-500 w-5" />
                    </span>
                    <span v-if="p.maitreJoueur">👑</span>
                    <span>{{ getJoueurById(p.refJoueur)?.login + (!p.maitreJoueur ? ' : ' + getScoreById(p.refJoueur) : '')
                    }}</span>
                </li>
            </ul>
        </div>
    </div>
</template>